import uuid
from sqlmodel import SQLModel, Field
from datetime import datetime, timezone
from typing import Optional


class Organisation(SQLModel, table=True):
    __tablename__ = "organisation"
    id: uuid.UUID = Field(default_factory=uuid.uuid4, primary_key=True)
    created_at: datetime = Field(default_factory=lambda: datetime.now(timezone.utc))
    updated_at: datetime = Field(default_factory=lambda: datetime.now(timezone.utc))
    hubspot_company_id: Optional[str] = None
    name: Optional[str] = None
